libebook::EBOOKXMLParser Class Reference documentation

libebook::EBOOKXMLParser Class Referenceabstract

`#include <EBOOKXMLParser.h>`

## Public Types
enum | RunStyle { RunToEnd , AllowEarlyExit }
| Determines whether or not the parser should quit when a context returns an empty context for a child element. More...

## Public Member Functions
| EBOOKXMLParser (RunStyle runStyle=RunToEnd)
bool | parse (const RVNGInputStreamPtr_t &input)

## Protected Member Functions
| ~EBOOKXMLParser ()

## Private Member Functions
| EBOOKXMLParser (const EBOOKXMLParser &)
EBOOKXMLParser & | operator= (const EBOOKXMLParser &)
virtual std::shared_ptr< EBOOKXMLContext > | createDocumentContext ()=0
virtual const EBOOKTokenizer & | getTokenizer () const =0

## Private Attributes
const RunStyle | m_runStyle

## Member Enumeration Documentation

## ◆ RunStyle

enum libebook::EBOOKXMLParser::RunStyle

Determines whether or not the parser should quit when a context returns an empty context for a child element.

Enumerator
RunToEnd |
AllowEarlyExit | Continue, skipping the child element. Exit

## Constructor & Destructor Documentation

## ◆ EBOOKXMLParser() [1/2]

libebook::EBOOKXMLParser::EBOOKXMLParser | ( | const EBOOKXMLParser & |  | ) |
| private

Referenced by EBOOKXMLParser(), and operator=().

## ◆ EBOOKXMLParser() [2/2]

libebook::EBOOKXMLParser::EBOOKXMLParser | ( | RunStyle | runStyle = RunToEnd | ) |
| explicit

## ◆ ~EBOOKXMLParser()

libebook::EBOOKXMLParser::~EBOOKXMLParser | ( |  | ) |
| protected

## Member Function Documentation

## ◆ createDocumentContext()

virtual std::shared_ptr< EBOOKXMLContext > libebook::EBOOKXMLParser::createDocumentContext | ( |  | ) |
| privatepure virtual

Referenced by parse().

## ◆ getTokenizer()

virtual const EBOOKTokenizer & libebook::EBOOKXMLParser::getTokenizer | ( |  | ) | const
| privatepure virtual

Referenced by parse().

## ◆ operator=()

EBOOKXMLParser & libebook::EBOOKXMLParser::operator= | ( | const EBOOKXMLParser & |  | ) |
| private

## ◆ parse()

bool libebook::EBOOKXMLParser::parse | ( | const RVNGInputStreamPtr_t & | input | ) |

## Member Data Documentation

## ◆ m_runStyle

const RunStyle libebook::EBOOKXMLParser::m_runStyle
| private

Referenced by EBOOKXMLParser(), and parse().

The documentation for this class was generated from the following files:

- EBOOKXMLParser.h
- EBOOKXMLParser.cpp